View Issue Details

Category
SSPBT:本体(SSP)
SeverityminorReproducibilityalways 
Status closed 
Fixed in Version2.4 (リリース) 
Summary0000068: balloon_tooltipについて
Description

SHIORI/2.2の偽栞ではSHIORI Event、SHIORI/3.0の華和梨ではSHIORI Resourceとして
来ています。イベントが来れば動作はするのですが偽栞の場合はSHIORI Eventで来ると
SSPに返す文字列の最後に「\e」が自動で付けられてしまいツールチップでそのまま
表示されてしまいます。

偽栞1.0.20
-----send------------------------
GET Sentence SHIORI/2.2
Charset: UTF-8
Sender: SSP
SecurityLevel: local
Event: balloon_tooltip
Status: choosing,timecritical,balloon(0=0)
Reference0: 何か喋る
Reference1: menu_ai

-----response--------------------
SHIORI/2.6 200 OK
Sentence: ランダムトークをします。\e
Charset: UTF-8

華和梨8.2.8
-----send------------------------
GET SHIORI/3.0
Charset: Shift_JIS
Sender: SSP
SecurityLevel: local
Status: choosing,timecritical,balloon(0=0)
ID: balloon_tooltip
Reference0: 何か話して
Reference1: Manzai

-----response--------------------
SHIORI/3.0 200 OK
Charset: Shift_JIS
Sender: 華和梨
Value: ランダムトークをします。

SSP/2.4.66
Windows 10 1909

Activities

guest

2020-03-29 23:09

reporter  

バルーン表示.png (9,209 bytes)   
バルーン表示.png (9,209 bytes)   

ponapalt

2020-03-30 16:13

administrator   ~0000130

http://ssp.shillest.net/tmp/ssp.zip
とりあえずGet String SHIORI/2.5にしたものを置いておきます。

ただ、偽栞がReferenceヘッダをちゃんと解釈してくれるかどうかはわかりません…

guest

2020-03-31 01:31

reporter   ~0000131

素早い対応ありがとうございます。早速試したところ、上手く表示されました。
Reference0、Reference1のどちらでも大丈夫でした。偽栞の履歴を見るとリソースに
判定の追加がありました。

nightly build 1.1.16 - 2001.12.03
\idに判定の追加。
\id, sakura.recommendbuttoncaption & %get[nk_MenuLang]=De, Lesezeichen(&L)

同じようにReferenceもいけるようです。複数の文字列を用意してカーソルを当てる
度にランダムで変わることも確認しました。

偽栞1.0.20

\id, balloon_tooltip & %ref1=menu_ai, ランダムトークをします。
\id, balloon_tooltip & %ref1=menu_ai, 何か喋ります。

-----send------------------------
GET String SHIORI/2.5
Charset: UTF-8
Sender: SSP
SecurityLevel: local
ID: balloon_tooltip
Status: choosing,timecritical,balloon(0=0)
Reference0: 何か喋る
Reference1: menu_ai

-----response--------------------
SHIORI/2.6 200 OK
String: ランダムトークをします。
Charset: UTF-8

華和梨7.5.0も動作しました。ただ、OpenKEEPS 1.0.5の制限なのかイベント名を
「balloon.tooltip」にしないと動作しませんでした。(これでしばらく嵌った)

resource.balloon.tooltip : $(entry "balloon.tooltip."${system.Reference1})
balloon.tooltip.ai : ランダムトークをします。
balloon.tooltip.ai : 何か喋ります。

-----send------------------------
GET String SHIORI/2.5
Charset: Shift_JIS
Sender: SSP
SecurityLevel: local
ID: balloon_tooltip
Status: choosing,timecritical,balloon(0=0)
Reference0: 何か話して
Reference1: ai

-----response--------------------
SHIORI/2.6 200 OK
Charset: Shift_JIS
String: ランダムトークをします。

バルーン表示改善.png (9,041 bytes)   
バルーン表示改善.png (9,041 bytes)   

ponapalt

2020-04-01 08:03

administrator   ~0000132

2.4.67 FIXED

Issue History

Date Modified Username Field Change
2020-03-29 23:09 guest New Issue
2020-03-29 23:09 guest File Added: バルーン表示.png
2020-03-30 16:13 ponapalt Note Added: 0000130
2020-03-30 16:13 ponapalt Assigned To => ponapalt
2020-03-30 16:13 ponapalt Status new => assigned
2020-03-31 01:31 guest Note Added: 0000131
2020-03-31 01:31 guest File Added: バルーン表示改善.png
2020-04-01 08:03 ponapalt Status assigned => closed
2020-04-01 08:03 ponapalt Resolution open => fixed
2020-04-01 08:03 ponapalt Fixed in Version => 2.4 (リリース)
2020-04-01 08:03 ponapalt Note Added: 0000132